<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::Matchers::Impl::MatchNotOf&lt; ArgT &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="namespaceCatch_1_1Matchers.html">Matchers</a></li><li class="navelem"><a class="el" href="namespaceCatch_1_1Matchers_1_1Impl.html">Impl</a></li><li class="navelem"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchNotOf.html">MatchNotOf</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structCatch_1_1Matchers_1_1Impl_1_1MatchNotOf-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::Matchers::Impl::MatchNotOf&lt; ArgT &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for Catch::Matchers::Impl::MatchNotOf&lt; ArgT &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="structCatch_1_1Matchers_1_1Impl_1_1MatchNotOf__coll__graph.png" border="0" usemap="#Catch_1_1Matchers_1_1Impl_1_1MatchNotOf_3_01ArgT_01_4_coll__map" alt="Collaboration graph"/></div>
<map name="Catch_1_1Matchers_1_1Impl_1_1MatchNotOf_3_01ArgT_01_4_coll__map" id="Catch_1_1Matchers_1_1Impl_1_1MatchNotOf_3_01ArgT_01_4_coll__map">
<area shape="rect" title=" " alt="" coords="616,39,784,80"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html" title=" " alt="" coords="247,39,421,80"/>
<area shape="rect" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html" title=" " alt="" coords="16,5,187,47"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherMethod.html" title=" " alt="" coords="5,71,197,112"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a47afdd9e4c3354cef85adc3186097ae4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchNotOf.html#a47afdd9e4c3354cef85adc3186097ae4">MatchNotOf</a> (<a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">MatcherBase</a>&lt; ArgT &gt; const &amp;underlyingMatcher)</td></tr>
<tr class="separator:a47afdd9e4c3354cef85adc3186097ae4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a181d693c0258e582d80dc6117a1f2b66"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchNotOf.html#a181d693c0258e582d80dc6117a1f2b66">match</a> (ArgT const &amp;arg) const override</td></tr>
<tr class="separator:a181d693c0258e582d80dc6117a1f2b66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5fb4ef6a9069d23a4098c3c818f06b0"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchNotOf.html#ac5fb4ef6a9069d23a4098c3c818f06b0">describe</a> () const override</td></tr>
<tr class="separator:ac5fb4ef6a9069d23a4098c3c818f06b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47afdd9e4c3354cef85adc3186097ae4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchNotOf.html#a47afdd9e4c3354cef85adc3186097ae4">MatchNotOf</a> (<a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">MatcherBase</a>&lt; ArgT &gt; const &amp;underlyingMatcher)</td></tr>
<tr class="separator:a47afdd9e4c3354cef85adc3186097ae4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a181d693c0258e582d80dc6117a1f2b66"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchNotOf.html#a181d693c0258e582d80dc6117a1f2b66">match</a> (ArgT const &amp;arg) const override</td></tr>
<tr class="separator:a181d693c0258e582d80dc6117a1f2b66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5fb4ef6a9069d23a4098c3c818f06b0"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchNotOf.html#ac5fb4ef6a9069d23a4098c3c818f06b0">describe</a> () const override</td></tr>
<tr class="separator:ac5fb4ef6a9069d23a4098c3c818f06b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:afe6f36822388c0ebe9a11c2826d7bd39"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">MatcherBase</a>&lt; ArgT &gt; const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchNotOf.html#afe6f36822388c0ebe9a11c2826d7bd39">m_underlyingMatcher</a></td></tr>
<tr class="separator:afe6f36822388c0ebe9a11c2826d7bd39"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a47afdd9e4c3354cef85adc3186097ae4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47afdd9e4c3354cef85adc3186097ae4">&#9670;&nbsp;</a></span>MatchNotOf() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ArgT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchNotOf.html">Catch::Matchers::Impl::MatchNotOf</a>&lt; ArgT &gt;::<a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchNotOf.html">MatchNotOf</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">MatcherBase</a>&lt; ArgT &gt; const &amp;&#160;</td>
          <td class="paramname"><em>underlyingMatcher</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a47afdd9e4c3354cef85adc3186097ae4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47afdd9e4c3354cef85adc3186097ae4">&#9670;&nbsp;</a></span>MatchNotOf() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ArgT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchNotOf.html">Catch::Matchers::Impl::MatchNotOf</a>&lt; ArgT &gt;::<a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchNotOf.html">MatchNotOf</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">MatcherBase</a>&lt; ArgT &gt; const &amp;&#160;</td>
          <td class="paramname"><em>underlyingMatcher</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ac5fb4ef6a9069d23a4098c3c818f06b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5fb4ef6a9069d23a4098c3c818f06b0">&#9670;&nbsp;</a></span>describe() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ArgT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string <a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchNotOf.html">Catch::Matchers::Impl::MatchNotOf</a>&lt; ArgT &gt;::describe </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac5fb4ef6a9069d23a4098c3c818f06b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5fb4ef6a9069d23a4098c3c818f06b0">&#9670;&nbsp;</a></span>describe() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ArgT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string <a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchNotOf.html">Catch::Matchers::Impl::MatchNotOf</a>&lt; ArgT &gt;::describe </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a181d693c0258e582d80dc6117a1f2b66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a181d693c0258e582d80dc6117a1f2b66">&#9670;&nbsp;</a></span>match() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ArgT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchNotOf.html">Catch::Matchers::Impl::MatchNotOf</a>&lt; ArgT &gt;::match </td>
          <td>(</td>
          <td class="paramtype">ArgT const &amp;&#160;</td>
          <td class="paramname"><em>arg</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a181d693c0258e582d80dc6117a1f2b66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a181d693c0258e582d80dc6117a1f2b66">&#9670;&nbsp;</a></span>match() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ArgT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchNotOf.html">Catch::Matchers::Impl::MatchNotOf</a>&lt; ArgT &gt;::match </td>
          <td>(</td>
          <td class="paramtype">ArgT const &amp;&#160;</td>
          <td class="paramname"><em>arg</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="afe6f36822388c0ebe9a11c2826d7bd39"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe6f36822388c0ebe9a11c2826d7bd39">&#9670;&nbsp;</a></span>m_underlyingMatcher</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ArgT &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">MatcherBase</a>&lt; ArgT &gt; const  &amp; <a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchNotOf.html">Catch::Matchers::Impl::MatchNotOf</a>&lt; ArgT &gt;::m_underlyingMatcher</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
